package com.example.course.controller;

import cn.hutool.json.JSONUtil;
import com.example.course.dao.GoodsMapper;
import com.example.course.dto.GoodsDto;
import com.example.course.dto.GoodsSelectDto;
import com.example.course.dto.VerifyDto;
import com.example.course.service.impl.GoodsServiceImpl;
import com.example.course.utils.Result;
import com.example.course.utils.VerifyUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

@RestController
@RequestMapping("/goods")
public class GoodsController {
    @Autowired
    private GoodsServiceImpl goodsService;
    @PostMapping("/add")
    public Result add(@RequestBody GoodsDto dto){
        return goodsService.add(dto);
    }

    @PostMapping("/verify")
    public Result verify(@RequestBody GoodsSelectDto dto, @RequestHeader("reqId")String reqId,@RequestHeader("reqTime")String reqTime,@RequestHeader("appId")Long appId){
        VerifyDto verifyDto = new VerifyDto();
        verifyDto.setAppSecret("123");
        verifyDto.setAppId(appId.toString());
        verifyDto.setReqId(reqId);
        verifyDto.setReqTime(reqTime);
        verifyDto.setSign(dto.getSign());
        Boolean verify = VerifyUtils.verify(verifyDto);
        if (!verify){
            return Result.ERROR(1002,"失败");
        }
        List<String> list = new ArrayList<>();
        list.add("土豆");
        return Result.OK(list);
    }
}
