package com.example.course.service.impl;

import cn.hutool.core.util.IdUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.course.domain.Goods;
import com.example.course.dto.GoodsDto;
import com.example.course.service.GoodsService;
import com.example.course.dao.GoodsMapper;
import com.example.course.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* @author 徐乐
* @description 针对表【goods(商品表)】的数据库操作Service实现
* @createDate 2025-05-16 09:35:00
*/
@Service
public class GoodsServiceImpl extends ServiceImpl<GoodsMapper, Goods>
    implements GoodsService{

    @Autowired
    private GoodsMapper goodsMapper;

    @Override
    public Result add(GoodsDto dto) {
        Goods goods = new Goods();
        long goodsId = IdUtil.getSnowflake().nextId();
        goods.setGoodsId(goodsId);
        goods.setGoodsName(dto.getGoodsName());
        goods.setDescriptions(dto.getDescriptions());
        goods.setGoodsImg(dto.getGoodsImg());
        goods.setContent(dto.getContent());
        goodsMapper.insert(goods);
        return Result.OK("添加商品");
    }
}




