package com.example.course.utils;

import com.example.course.dto.VerifyDto;

import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Map;
import java.util.TreeMap;

public class VerifyUtils {
    public static final Boolean verify(VerifyDto dto){
        //ASCII码排序
        TreeMap<String,String> treeMap = new TreeMap<>();
        treeMap.put("appId",dto.getAppId());
        treeMap.put("reqId",dto.getReqId());
        treeMap.put("reqTime",dto.getReqTime());
        //key=value&key=value最后加一个appSecret
        StringBuffer buffer = new StringBuffer();
        boolean flag = true;
        for (Map.Entry<String, String> entry : treeMap.entrySet()) {
            if (flag){
                buffer.append(entry.getKey()).append("=").append(entry.getValue());
                flag = false;
            }else{
                buffer.append("&").append(entry.getKey()).append("=").append(entry.getValue());
            }
        }
        buffer.append(dto.getAppSecret());

        try {
            String sign = EraHelper.byte2HexStr(MessageDigest.getInstance("MD5").digest(buffer.toString().getBytes("UTF-8")));
            boolean b = sign.equals(dto.getSign());
            return b;
        } catch (NoSuchAlgorithmException e) {
            return false;
        } catch (UnsupportedEncodingException e) {
            return false;
        }
    }
}
